"Copyright 2016 Matias Hilden (C)
"
"This program is free software: you can redistribute it and/or modify
"it under the terms of the GNU General Public License as published by
"the Free Software Foundation, either version 3 of the License, or
"(at your option) any later version.
"
"This program is distributed in the hope that it will be useful,
"but WITHOUT ANY WARRANTY; without even the implied warranty of
"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
"GNU General Public License for more details.
"
"You should have received a copy of the GNU General Public License
"along with this program.  If not, see <http://www.gnu.org/licenses/>.

function! FBash(name, ...)
    let line = '# ' . a:name
    if a:0 > 1
        let c = 0
        while c < a:0
            let line .= ' ' . get(a:000, c)
            let c += 1
        endwhile
    endif
    put = line
    put = '# <description>'
    put = a:name . ' () {'
    if a:0 > 1
        let c = 0
        while c < a:0
            put = '	local ' . get(a:000, c) . '=$' . (c+1)
            let c += 1
        endwhile
    endif
    put = '}'
    retab
endfunction

command! -nargs=* FBASH call FBash(<f-args>)
